WarFTP Daemon < 1.82.00-RC13 Multiple Command Remote Format Strings

Medium Nessus Network Monitor Plugin ID 3808

Synopsis

The remote host is vulnerable to a remote 'format string' flaw.

Description

The remote host is running WarFTPd, an FTP server for the Microsoft platform. The version of WarFTPd running on this host contains multiple 'format string' vulnerabilities. An attacker exploiting these flaws would need to be able to authenticate to the FTP server. After authentication, the attacker would send a malformed request. Successful exploitation would allow the attacker to crash the application and possibly execute arbitrary code on the remote server. The vulnerable commands are 'CWD', 'CDUP', 'DELE', 'NLST', 'LIST' and 'SIZE'.

Solution

Upgrade to version 1.82.00-RC13 or higher.

See Also

http://support.jgaa.com/index.php?MenuPage=product

Plugin Details

Severity: Medium

ID: 3808

Family: FTP Servers

Published: 2006/11/07

Updated: 2019/03/06

Dependencies: 1803, 1804, 3222

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.5

Temporal Score: 5.4

Vector: CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

CVSS v3.0

Base Score: 6.3

Temporal Score: 5.9

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS:3.0/E:F/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:jgaa:warftpd

Reference Information

CVE: CVE-2006-5789

BID: 20944